local RTSP_TRANSPORT = "udp"
-- "big" button working as canvas where video would be displayed
local VIDEO_DISPLAY_BUTTON_ID = 100

local M = {} -- public interface

M.PLAYER_NAME = "DOORPHONE_PLAYER"

function M.play(URL)
	local VAR_NAME = "tSIP_mpv_for_doorphone_CREATED"
	local once, onceIsSet = GetVariable(VAR_NAME)
	if onceIsSet == 0 then
		print("Creating mpv instance and setting required properties\n")
		SetVariable(VAR_NAME, "1")
		local handle = GetButtonHandle(VIDEO_DISPLAY_BUTTON_ID) -- button ID to use for display
		PluginSendMessageText("tSIP_mpv.dll", M.PLAYER_NAME .. string.format(" CREATE %x", handle))
		-- assuming that audio would be received only through regular SIP/RTP, call
		-- mute audio from RTSP
		PluginSendMessageText("tSIP_mpv.dll", M.PLAYER_NAME .. " VOLUME 0")
		PluginSendMessageText("tSIP_mpv.dll", M.PLAYER_NAME .. " SET_PROPERTY_STRING rtsp-transport " .. RTSP_TRANSPORT)
		PluginSendMessageText("tSIP_mpv.dll", M.PLAYER_NAME .. " SET_PROPERTY_STRING profile low-latency")
		PluginSendMessageText("tSIP_mpv.dll", M.PLAYER_NAME .. " SET_PROPERTY_STRING cache no")
		PluginSendMessageText("tSIP_mpv.dll", M.PLAYER_NAME .. " SET_PROPERTY_STRING demuxer-readahead-secs 0")
		PluginSendMessageText("tSIP_mpv.dll", M.PLAYER_NAME .. " SET_PROPERTY_STRING cache-pause no")
		PluginSendMessageText("tSIP_mpv.dll", M.PLAYER_NAME .. " SET_PROPERTY_STRING untimed yes")		
	end

	PluginSendMessageText("tSIP_mpv.dll", M.PLAYER_NAME .. " PLAY " .. URL)
	PluginSendMessageText("tSIP_mpv.dll", M.PLAYER_NAME .. " VOLUME 0")
end

return M
